View Issue Details

IDProjectCategoryView StatusLast Update
0003488GNUnetcadet servicepublic2018-06-07 00:25
ReporteramatusAssigned ToBart Polot 
PrioritynormalSeveritycrashReproducibilitysometimes
Status closedResolutionfixed 
Product VersionSVN HEAD 
Target Version0.11.0pre66Fixed in Version0.11.0pre66 
Summary0003488: I'm hitting GNUNET_assert (myid == path->peers[0]);
DescriptionAfter running my peer (rev 33931) for a while I got:
cadet-tun-7955 WARNING malformed PING on DQZ0
repeated many times... then
cadet-7955 ERROR Assertion failed at gnunet-service-cadet_tunnel.c:1287.
repeated many times... then
cadet-7955 ERROR Assertion failed at gnunet-service-cadet_peer.c:1949.
and gnunet-service-cadet exited.
It was restarted by arm and then hit the same assertion:
cadet-8059 ERROR Assertion failed at gnunet-service-cadet_tunnel.c:1287.
repeated many times, but after every 4 of them I would get
cadet-tun-8059 WARNING malformed PING on 1GGG
then finally
cadet-8059 ERROR Assertion failed at gnunet-service-cadet_peer.c:1949.
TagsNo tags attached.

Activities

Bart Polot

2014-07-08 01:01

manager   ~0008511

After:
 cadet-7955 ERROR Assertion failed at gnunet-service-cadet_tunnel.c:1287
you should see some debug messages about the tunnel, do you get those? Could you paste them here?

Bart Polot

2014-07-08 01:02

manager   ~0008512

Also, could you paste a backtrace from the coredump? Thanks!

amatus

2014-07-08 01:10

developer   ~0008513

This is my entire console log:

==7955== Memcheck, a memory error detector
==7955== Copyright (C) 2002-2013, and GNU GPL'd, by Julian Seward et al.
==7955== Using Valgrind-3.9.0 and LibVEX; rerun with -h for copyright info
==7955== Command: /opt/gnunet/lib//gnunet/libexec/gnunet-service-cadet -c /home/gnunet/.config/gnunet.conf
==7955==
Jul 06 10:02:52-603061 cadet-chn-7955 WARNING MID 0 on channel V8XX:19 gid:40000000 (80000001 / 0) not expected (window: 1 - 64). Dropping!
Jul 06 10:03:01-242386 cadet-chn-7955 WARNING MID 0 on channel V8XX:19 gid:40000000 (80000001 / 0) not expected (window: 1 - 64). Dropping!
Jul 06 10:03:12-279212 cadet-chn-7955 WARNING MID 0 on channel V8XX:19 gid:40000000 (80000001 / 0) not expected (window: 1 - 64). Dropping!
Jul 06 10:03:12-364015 cadet-chn-7955 WARNING MID 0 on channel V8XX:19 gid:40000000 (80000001 / 0) not expected (window: 1 - 64). Dropping!
Jul 06 10:03:18-752742 cadet-chn-7955 WARNING MID 0 on channel V8XX:19 gid:40000000 (80000001 / 0) not expected (window: 1 - 64). Dropping!
Jul 06 10:03:20-434826 cadet-chn-7955 WARNING MID 0 on channel V8XX:19 gid:40000000 (80000001 / 0) not expected (window: 1 - 64). Dropping!
Jul 06 10:03:26-515356 cadet-chn-7955 WARNING MID 0 on channel V8XX:19 gid:40000000 (80000001 / 0) not expected (window: 1 - 64). Dropping!
Jul 06 10:03:34-946118 cadet-chn-7955 WARNING MID 0 on channel V8XX:19 gid:40000000 (80000001 / 0) not expected (window: 1 - 64). Dropping!
Jul 06 10:03:38-530979 cadet-chn-7955 WARNING MID 0 on channel V8XX:19 gid:40000000 (80000001 / 0) not expected (window: 1 - 64). Dropping!
Jul 06 10:03:42-906345 cadet-chn-7955 WARNING MID 0 on channel V8XX:19 gid:40000000 (80000001 / 0) not expected (window: 1 - 64). Dropping!
Jul 06 10:03:42-989302 cadet-chn-7955 WARNING MID 0 on channel V8XX:19 gid:40000000 (80000001 / 0) not expected (window: 1 - 64). Dropping!
Jul 06 10:03:48-511395 cadet-chn-7955 WARNING MID 0 on channel V8XX:19 gid:40000000 (80000001 / 0) not expected (window: 1 - 64). Dropping!
Jul 06 10:03:51-850542 cadet-chn-7955 WARNING MID 1 on channel V8XX:19 gid:40000000 (80000001 / 0) not expected (window: 2 - 65). Dropping!
Jul 06 10:03:52-030589 cadet-chn-7955 WARNING MID 1 on channel V8XX:19 gid:40000000 (80000001 / 0) not expected (window: 2 - 65). Dropping!
Jul 06 10:03:53-777138 cadet-chn-7955 WARNING MID 1 on channel V8XX:19 gid:40000000 (80000001 / 0) not expected (window: 2 - 65). Dropping!
Jul 06 10:03:57-709230 cadet-chn-7955 WARNING MID 1 on channel V8XX:19 gid:40000000 (80000001 / 0) not expected (window: 2 - 65). Dropping!
Jul 06 10:03:59-967882 cadet-chn-7955 WARNING MID 1 on channel V8XX:19 gid:40000000 (80000001 / 0) not expected (window: 2 - 65). Dropping!
Jul 06 10:03:59-990408 cadet-chn-7955 WARNING MID 1 on channel V8XX:19 gid:40000000 (80000001 / 0) not expected (window: 2 - 65). Dropping!
Jul 06 10:04:00-173443 cadet-chn-7955 WARNING MID 1 on channel V8XX:19 gid:40000000 (80000001 / 0) not expected (window: 2 - 65). Dropping!
Jul 06 10:04:00-194607 cadet-chn-7955 WARNING MID 1 on channel V8XX:19 gid:40000000 (80000001 / 0) not expected (window: 2 - 65). Dropping!
Jul 06 10:04:00-208361 cadet-chn-7955 WARNING MID 1 on channel V8XX:19 gid:40000000 (80000001 / 0) not expected (window: 2 - 65). Dropping!
Jul 06 10:04:00-221943 cadet-chn-7955 WARNING MID 1 on channel V8XX:19 gid:40000000 (80000001 / 0) not expected (window: 2 - 65). Dropping!
Jul 06 10:04:00-235046 cadet-chn-7955 WARNING MID 1 on channel V8XX:19 gid:40000000 (80000001 / 0) not expected (window: 2 - 65). Dropping!
Jul 06 10:04:04-191048 cadet-chn-7955 WARNING MID 1 on channel V8XX:19 gid:40000000 (80000001 / 0) not expected (window: 2 - 65). Dropping!
Jul 06 10:04:04-205033 cadet-chn-7955 WARNING MID 1 on channel V8XX:19 gid:40000000 (80000001 / 0) not expected (window: 2 - 65). Dropping!
Jul 06 10:04:08-076383 cadet-chn-7955 WARNING MID 1 on channel V8XX:19 gid:40000000 (80000001 / 0) not expected (window: 2 - 65). Dropping!
Jul 06 10:04:10-377006 cadet-chn-7955 WARNING MID 1 on channel V8XX:19 gid:40000000 (80000001 / 0) not expected (window: 2 - 65). Dropping!
Jul 06 10:04:10-396317 cadet-chn-7955 WARNING MID 1 on channel V8XX:19 gid:40000000 (80000001 / 0) not expected (window: 2 - 65). Dropping!
Jul 06 10:04:10-438843 cadet-chn-7955 WARNING MID 1 on channel V8XX:19 gid:40000000 (80000001 / 0) not expected (window: 2 - 65). Dropping!
Jul 06 10:04:10-455876 cadet-chn-7955 WARNING MID 1 on channel V8XX:19 gid:40000000 (80000001 / 0) not expected (window: 2 - 65). Dropping!
Jul 06 10:04:10-486554 cadet-chn-7955 WARNING MID 1 on channel V8XX:19 gid:40000000 (80000001 / 0) not expected (window: 2 - 65). Dropping!
Jul 06 10:04:10-661640 cadet-chn-7955 WARNING MID 1 on channel V8XX:19 gid:40000000 (80000001 / 0) not expected (window: 2 - 65). Dropping!
Jul 06 10:04:10-684937 cadet-chn-7955 WARNING MID 1 on channel V8XX:19 gid:40000000 (80000001 / 0) not expected (window: 2 - 65). Dropping!
Jul 06 10:04:16-220951 cadet-chn-7955 WARNING MID 1 on channel V8XX:19 gid:40000000 (80000001 / 0) not expected (window: 2 - 65). Dropping!
Jul 06 10:04:17-604535 cadet-chn-7955 WARNING MID 1 on channel V8XX:19 gid:40000000 (80000001 / 0) not expected (window: 2 - 65). Dropping!
Jul 06 10:04:19-842267 cadet-chn-7955 WARNING MID 1 on channel V8XX:19 gid:40000000 (80000001 / 0) not expected (window: 2 - 65). Dropping!
Jul 06 10:04:21-680118 cadet-chn-7955 WARNING MID 1 on channel V8XX:19 gid:40000000 (80000001 / 0) not expected (window: 2 - 65). Dropping!
Jul 06 10:04:24-503786 cadet-chn-7955 WARNING MID 1 on channel V8XX:19 gid:40000000 (80000001 / 0) not expected (window: 2 - 65). Dropping!
Jul 06 10:04:24-532338 cadet-chn-7955 WARNING MID 1 on channel V8XX:19 gid:40000000 (80000001 / 0) not expected (window: 2 - 65). Dropping!
Jul 06 10:04:24-661006 cadet-chn-7955 WARNING MID 1 on channel V8XX:19 gid:40000000 (80000001 / 0) not expected (window: 2 - 65). Dropping!
Jul 06 10:04:26-624756 cadet-chn-7955 WARNING MID 1 on channel V8XX:19 gid:40000000 (80000001 / 0) not expected (window: 2 - 65). Dropping!
Jul 06 12:46:03-412274 transport-7948 WARNING External protocol violation detected at gnunet-service-transport_neighbours.c:3437.
Jul 06 12:46:03-412381 transport-7948 WARNING External protocol violation detected at gnunet-service-transport.c:498.
Jul 06 12:47:18-500416 cadet-7955 WARNING Failed checksum validation on tunnel D3TJ with KX
Jul 06 12:47:18-502342 cadet-7955 WARNING External protocol violation detected at gnunet-service-cadet_tunnel.c:2036.
Jul 06 12:47:19-314392 cadet-tun-7955 WARNING malformed PING on D3TJ
Jul 06 14:01:34-040743 transport-7948 WARNING External protocol violation detected at gnunet-service-transport_neighbours.c:3437.
Jul 06 14:01:34-040796 transport-7948 WARNING External protocol violation detected at gnunet-service-transport.c:498.
Jul 06 14:02:02-124221 cadet-chn-7955 WARNING MID 0 on channel D3TJ:19 gid:0 (80000003 / 0) not expected (window: 1 - 64). Dropping!
Jul 06 19:55:50-021649 cadet-tun-7955 WARNING malformed PING on DQZ0
Jul 06 19:55:54-840688 cadet-tun-7955 WARNING malformed PING on DQZ0
Jul 06 19:55:59-840385 cadet-tun-7955 WARNING malformed PING on DQZ0
Jul 06 19:56:04-815299 cadet-tun-7955 WARNING malformed PING on DQZ0
Jul 06 19:56:09-839149 cadet-tun-7955 WARNING malformed PING on DQZ0
Jul 06 19:56:14-855693 cadet-tun-7955 WARNING malformed PING on DQZ0
Jul 06 19:56:19-848181 cadet-tun-7955 WARNING malformed PING on DQZ0
Jul 06 19:56:34-681828 cadet-tun-7955 WARNING malformed PING on DQZ0
Jul 06 19:56:35-275567 cadet-tun-7955 WARNING malformed PING on DQZ0
Jul 06 19:56:35-869797 cadet-tun-7955 WARNING malformed PING on DQZ0
Jul 06 19:56:39-835028 cadet-tun-7955 WARNING malformed PING on DQZ0
Jul 06 19:56:44-829258 cadet-tun-7955 WARNING malformed PING on DQZ0
Jul 06 19:56:49-839031 cadet-tun-7955 WARNING malformed PING on DQZ0
Jul 06 19:56:54-848899 cadet-tun-7955 WARNING malformed PING on DQZ0
Jul 06 19:56:59-927894 cadet-tun-7955 WARNING malformed PING on DQZ0
Jul 06 19:57:04-834902 cadet-tun-7955 WARNING malformed PING on DQZ0
Jul 06 19:57:09-834395 cadet-tun-7955 WARNING malformed PING on DQZ0
Jul 06 19:57:14-833988 cadet-tun-7955 WARNING malformed PING on DQZ0
Jul 06 19:57:19-858111 cadet-tun-7955 WARNING malformed PING on DQZ0
Jul 06 19:57:24-849177 cadet-tun-7955 WARNING malformed PING on DQZ0
Jul 06 19:57:30-642957 cadet-tun-7955 WARNING malformed PING on DQZ0
Jul 06 19:57:34-948663 cadet-tun-7955 WARNING malformed PING on DQZ0
Jul 06 19:57:39-882695 cadet-tun-7955 WARNING malformed PING on DQZ0
Jul 06 19:57:55-858451 cadet-tun-7955 WARNING malformed PING on DQZ0
Jul 06 19:57:58-816183 cadet-tun-7955 WARNING malformed PING on DQZ0
Jul 06 19:58:01-739106 cadet-tun-7955 WARNING malformed PING on DQZ0
Jul 06 19:58:13-245986 cadet-tun-7955 WARNING malformed PING on DQZ0
Jul 06 19:58:25-923813 cadet-tun-7955 WARNING malformed PING on DQZ0
Jul 06 19:58:26-515205 cadet-tun-7955 WARNING malformed PING on DQZ0
Jul 06 19:58:27-107033 cadet-tun-7955 WARNING malformed PING on DQZ0
Jul 06 19:58:27-699072 cadet-tun-7955 WARNING malformed PING on DQZ0
Jul 06 19:58:29-902753 cadet-tun-7955 WARNING malformed PING on DQZ0
Jul 06 19:58:35-259061 cadet-tun-7955 WARNING malformed PING on DQZ0
Jul 06 19:58:39-948242 cadet-tun-7955 WARNING malformed PING on DQZ0
Jul 06 19:58:44-972374 cadet-tun-7955 WARNING malformed PING on DQZ0
Jul 06 19:58:49-966718 cadet-tun-7955 WARNING malformed PING on DQZ0
Jul 06 19:58:55-512739 cadet-tun-7955 WARNING malformed PING on DQZ0
Jul 06 19:58:59-920998 cadet-tun-7955 WARNING malformed PING on DQZ0
Jul 06 19:59:04-991624 cadet-tun-7955 WARNING malformed PING on DQZ0
Jul 06 19:59:10-400592 cadet-tun-7955 WARNING malformed PING on DQZ0
Jul 06 19:59:16-788789 cadet-tun-7955 WARNING malformed PING on DQZ0
Jul 06 19:59:19-946049 cadet-tun-7955 WARNING malformed PING on DQZ0
Jul 06 19:59:25-147132 cadet-tun-7955 WARNING malformed PING on DQZ0
Jul 06 19:59:29-933630 cadet-tun-7955 WARNING malformed PING on DQZ0
Jul 06 19:59:34-889570 cadet-tun-7955 WARNING malformed PING on DQZ0
Jul 06 19:59:46-667657 cadet-tun-7955 WARNING malformed PING on DQZ0
Jul 06 19:59:47-260098 cadet-tun-7955 WARNING malformed PING on DQZ0
Jul 06 19:59:49-865788 cadet-tun-7955 WARNING malformed PING on DQZ0
Jul 06 19:59:54-884052 cadet-tun-7955 WARNING malformed PING on DQZ0
Jul 06 19:59:59-853391 cadet-tun-7955 WARNING malformed PING on DQZ0
Jul 06 20:00:04-899941 cadet-tun-7955 WARNING malformed PING on DQZ0
Jul 06 20:00:10-155623 cadet-tun-7955 WARNING malformed PING on DQZ0
Jul 06 20:00:14-895380 cadet-tun-7955 WARNING malformed PING on DQZ0
Jul 06 20:00:27-543785 cadet-tun-7955 WARNING malformed PING on DQZ0
Jul 06 20:00:43-007944 cadet-tun-7955 WARNING malformed PING on DQZ0
Jul 06 20:00:43-599847 cadet-tun-7955 WARNING malformed PING on DQZ0
Jul 06 20:00:44-195857 cadet-tun-7955 WARNING malformed PING on DQZ0
Jul 06 20:00:44-787254 cadet-tun-7955 WARNING malformed PING on DQZ0
Jul 06 20:00:45-694436 cadet-tun-7955 WARNING malformed PING on DQZ0
Jul 06 20:00:49-930247 cadet-tun-7955 WARNING malformed PING on DQZ0
Jul 06 20:01:04-870119 cadet-tun-7955 WARNING malformed PING on DQZ0
Jul 06 20:01:09-220765 cadet-tun-7955 WARNING malformed PING on DQZ0
Jul 06 20:01:09-894910 cadet-tun-7955 WARNING malformed PING on DQZ0
Jul 06 20:01:10-486880 cadet-tun-7955 WARNING malformed PING on DQZ0
Jul 06 20:01:14-915711 cadet-tun-7955 WARNING malformed PING on DQZ0
Jul 06 20:01:24-417153 cadet-tun-7955 WARNING malformed PING on DQZ0
Jul 06 20:01:25-009298 cadet-tun-7955 WARNING malformed PING on DQZ0
Jul 06 20:01:50-774372 cadet-tun-7955 WARNING malformed PING on DQZ0
Jul 06 20:01:51-366097 cadet-tun-7955 WARNING malformed PING on DQZ0
Jul 06 20:01:51-957181 cadet-tun-7955 WARNING malformed PING on DQZ0
Jul 06 20:01:52-548394 cadet-tun-7955 WARNING malformed PING on DQZ0
Jul 06 20:01:53-139876 cadet-tun-7955 WARNING malformed PING on DQZ0
Jul 06 20:01:55-025214 cadet-tun-7955 WARNING malformed PING on DQZ0
Jul 06 20:02:07-318758 cadet-tun-7955 WARNING malformed PING on DQZ0
Jul 06 20:02:07-911019 cadet-tun-7955 WARNING malformed PING on DQZ0
Jul 06 20:02:09-927228 cadet-tun-7955 WARNING malformed PING on DQZ0
Jul 06 20:02:22-740315 cadet-tun-7955 WARNING malformed PING on DQZ0
Jul 06 20:02:23-332393 cadet-tun-7955 WARNING malformed PING on DQZ0
Jul 06 20:02:24-914138 cadet-tun-7955 WARNING malformed PING on DQZ0
Jul 06 20:02:29-911816 cadet-tun-7955 WARNING malformed PING on DQZ0
Jul 06 20:02:40-218536 cadet-tun-7955 WARNING malformed PING on DQZ0
Jul 06 20:02:40-811628 cadet-tun-7955 WARNING malformed PING on DQZ0
Jul 06 20:02:44-935109 cadet-tun-7955 WARNING malformed PING on DQZ0
Jul 06 20:02:49-933156 cadet-tun-7955 WARNING malformed PING on DQZ0
Jul 06 20:02:54-953864 cadet-tun-7955 WARNING malformed PING on DQZ0
Jul 06 20:03:00-974114 cadet-tun-7955 WARNING malformed PING on DQZ0
Jul 06 20:03:09-938367 cadet-tun-7955 WARNING malformed PING on DQZ0
Jul 06 20:03:14-989505 cadet-tun-7955 WARNING malformed PING on DQZ0
Jul 06 20:03:28-956831 cadet-tun-7955 WARNING malformed PING on DQZ0
Jul 06 20:03:29-552141 cadet-tun-7955 WARNING malformed PING on DQZ0
Jul 06 20:03:30-144776 cadet-tun-7955 WARNING malformed PING on DQZ0
Jul 06 20:03:41-625810 cadet-tun-7955 WARNING malformed PING on DQZ0
Jul 06 20:03:42-232415 cadet-tun-7955 WARNING malformed PING on DQZ0
Jul 06 20:03:45-701629 cadet-tun-7955 WARNING malformed PING on DQZ0
Jul 06 20:03:54-896557 cadet-tun-7955 WARNING malformed PING on DQZ0
Jul 06 20:03:55-500554 cadet-tun-7955 WARNING malformed PING on DQZ0
Jul 06 20:03:59-962794 cadet-tun-7955 WARNING malformed PING on DQZ0
Jul 06 20:04:05-130849 cadet-tun-7955 WARNING malformed PING on DQZ0
Jul 06 20:04:09-961822 cadet-tun-7955 WARNING malformed PING on DQZ0
Jul 06 20:04:14-959385 cadet-tun-7955 WARNING malformed PING on DQZ0
Jul 06 20:04:19-968614 cadet-tun-7955 WARNING malformed PING on DQZ0
Jul 06 20:04:25-050534 cadet-tun-7955 WARNING malformed PING on DQZ0
Jul 06 20:04:35-035151 cadet-tun-7955 WARNING malformed PING on DQZ0
Jul 06 20:04:39-970389 cadet-tun-7955 WARNING malformed PING on DQZ0
Jul 06 20:04:45-015332 cadet-tun-7955 WARNING malformed PING on DQZ0
Jul 06 20:04:50-015770 cadet-tun-7955 WARNING malformed PING on DQZ0
Jul 06 20:04:54-971841 cadet-tun-7955 WARNING malformed PING on DQZ0
Jul 06 20:04:59-956351 cadet-tun-7955 WARNING malformed PING on DQZ0
Jul 06 20:05:10-315036 cadet-tun-7955 WARNING malformed PING on DQZ0
Jul 06 20:05:10-906209 cadet-tun-7955 WARNING malformed PING on DQZ0
Jul 06 20:05:14-975281 cadet-tun-7955 WARNING malformed PING on DQZ0
Jul 06 20:05:19-980133 cadet-tun-7955 WARNING malformed PING on DQZ0
Jul 06 20:05:24-974188 cadet-tun-7955 WARNING malformed PING on DQZ0
Jul 06 20:05:30-019313 cadet-tun-7955 WARNING malformed PING on DQZ0
Jul 06 20:05:35-003371 cadet-tun-7955 WARNING malformed PING on DQZ0
Jul 06 20:05:39-983436 cadet-tun-7955 WARNING malformed PING on DQZ0
Jul 06 20:05:52-982040 cadet-tun-7955 WARNING malformed PING on DQZ0
Jul 06 20:05:53-573826 cadet-tun-7955 WARNING malformed PING on DQZ0
Jul 06 20:05:54-973375 cadet-tun-7955 WARNING malformed PING on DQZ0
Jul 06 20:07:06-105378 cadet-7955 ERROR Assertion failed at gnunet-service-cadet_tunnel.c:1287.
Jul 06 20:07:06-110756 cadet-7955 ERROR Assertion failed at gnunet-service-cadet_tunnel.c:1287.
Jul 06 20:07:11-116392 cadet-7955 ERROR Assertion failed at gnunet-service-cadet_tunnel.c:1287.
Jul 06 20:07:11-121574 cadet-7955 ERROR Assertion failed at gnunet-service-cadet_tunnel.c:1287.
Jul 06 20:07:16-125404 cadet-7955 ERROR Assertion failed at gnunet-service-cadet_tunnel.c:1287.
Jul 06 20:07:16-129940 cadet-7955 ERROR Assertion failed at gnunet-service-cadet_tunnel.c:1287.
Jul 06 20:07:21-133443 cadet-7955 ERROR Assertion failed at gnunet-service-cadet_tunnel.c:1287.
Jul 06 20:07:21-138230 cadet-7955 ERROR Assertion failed at gnunet-service-cadet_tunnel.c:1287.
Jul 06 20:07:26-143810 cadet-7955 ERROR Assertion failed at gnunet-service-cadet_tunnel.c:1287.
Jul 06 20:07:26-148759 cadet-7955 ERROR Assertion failed at gnunet-service-cadet_tunnel.c:1287.
Jul 06 20:07:31-154307 cadet-7955 ERROR Assertion failed at gnunet-service-cadet_tunnel.c:1287.
Jul 06 20:07:31-158716 cadet-7955 ERROR Assertion failed at gnunet-service-cadet_tunnel.c:1287.
Jul 06 20:07:36-160628 cadet-7955 ERROR Assertion failed at gnunet-service-cadet_tunnel.c:1287.
Jul 06 20:07:36-165567 cadet-7955 ERROR Assertion failed at gnunet-service-cadet_tunnel.c:1287.
Jul 06 20:07:41-171190 cadet-7955 ERROR Assertion failed at gnunet-service-cadet_tunnel.c:1287.
Jul 06 20:07:41-175905 cadet-7955 ERROR Assertion failed at gnunet-service-cadet_tunnel.c:1287.
Jul 06 20:07:46-181608 cadet-7955 ERROR Assertion failed at gnunet-service-cadet_tunnel.c:1287.
Jul 06 20:07:46-186895 cadet-7955 ERROR Assertion failed at gnunet-service-cadet_tunnel.c:1287.
Jul 06 20:07:51-192513 cadet-7955 ERROR Assertion failed at gnunet-service-cadet_tunnel.c:1287.
Jul 06 20:07:51-196980 cadet-7955 ERROR Assertion failed at gnunet-service-cadet_tunnel.c:1287.
Jul 06 20:07:56-202666 cadet-7955 ERROR Assertion failed at gnunet-service-cadet_tunnel.c:1287.
Jul 06 20:07:56-207630 cadet-7955 ERROR Assertion failed at gnunet-service-cadet_tunnel.c:1287.
Jul 06 20:08:01-213263 cadet-7955 ERROR Assertion failed at gnunet-service-cadet_tunnel.c:1287.
Jul 06 20:08:01-217694 cadet-7955 ERROR Assertion failed at gnunet-service-cadet_tunnel.c:1287.
Jul 06 20:08:02-924902 cadet-7955 ERROR Assertion failed at gnunet-service-cadet_peer.c:1949.
==7955==
==7955== HEAP SUMMARY:
==7955== in use at exit: 121,993 bytes in 1,906 blocks
==7955== total heap usage: 3,969,371 allocs, 3,967,465 frees, 131,748,778 bytes allocated
==7955==
==7955== LEAK SUMMARY:
==7955== definitely lost: 24 bytes in 1 blocks
==7955== indirectly lost: 0 bytes in 0 blocks
==7955== possibly lost: 0 bytes in 0 blocks
==7955== still reachable: 121,969 bytes in 1,905 blocks
==7955== suppressed: 0 bytes in 0 blocks
==7955== Rerun with --leak-check=full to see details of leaked memory
==7955==
==7955== For counts of detected and suppressed errors, rerun with: -v
==7955== ERROR SUMMARY: 0 errors from 0 contexts (suppressed: 0 from 0)
==8059== Memcheck, a memory error detector
==8059== Copyright (C) 2002-2013, and GNU GPL'd, by Julian Seward et al.
==8059== Using Valgrind-3.9.0 and LibVEX; rerun with -h for copyright info
==8059== Command: /opt/gnunet/lib//gnunet/libexec/gnunet-service-cadet -c /home/gnunet/.config/gnunet.conf
==8059==
Jul 06 20:08:04-876882 util-8059 WARNING `bind' failed for `/tmp/gnunet-system-runtime//gnunet-service-cadet.sock': address already in use
Jul 06 20:08:04-979412 util-8059 ERROR `bind' failed at server.c:613 with error: Address already in use
Jul 06 21:04:29-177393 transport-7948 ERROR Trying to transmit ACK to peer `106.188.25.49:2086' but not session found!
Jul 06 21:58:52-453113 core-7949 ERROR Received PING from ` 4AE6' for different identity: I am `GN10', PONG identity: ` 1C96'
Jul 06 21:58:52-453312 core-7949 WARNING External protocol violation detected at gnunet-service-core_kx.c:1020.
Jul 06 21:58:52-506831 core-7949 ERROR Received PING from ` D3TJ' for different identity: I am `GN10', PONG identity: ` 6Y7H'
Jul 06 21:58:52-506881 core-7949 WARNING External protocol violation detected at gnunet-service-core_kx.c:1020.
Jul 07 07:17:33-302374 cadet-8059 ERROR Assertion failed at gnunet-service-cadet_connection.c:1842.
Jul 07 07:17:42-227032 cadet-tun-8059 WARNING malformed PING on 1GGG
Jul 07 07:17:43-030512 cadet-tun-8059 WARNING malformed PING on 1GGG
Jul 07 07:17:50-260364 cadet-tun-8059 WARNING malformed PING on 1GGG
Jul 07 07:17:51-652425 cadet-tun-8059 WARNING malformed PING on 1GGG
Jul 07 07:17:51-661528 cadet-tun-8059 WARNING malformed PING on 1GGG
Jul 07 07:17:55-065249 cadet-tun-8059 WARNING Wrong PONG challenge on 1GGG
Jul 07 07:17:55-075059 cadet-tun-8059 WARNING Wrong PONG challenge on 1GGG
Jul 07 07:17:56-486182 cadet-tun-8059 WARNING malformed PING on 1GGG
Jul 07 07:17:59-869253 cadet-tun-8059 WARNING malformed PING on 1GGG
Jul 07 07:18:03-897653 cadet-tun-8059 WARNING malformed PING on 1GGG
Jul 07 07:18:08-771855 cadet-tun-8059 WARNING malformed PING on 1GGG
Jul 07 07:18:16-897249 cadet-tun-8059 WARNING malformed PING on 1GGG
Jul 07 07:18:20-001091 cadet-tun-8059 WARNING Wrong PONG challenge on 1GGG
Jul 07 07:18:21-657820 cadet-tun-8059 WARNING malformed PING on 1GGG
Jul 07 07:18:25-936540 cadet-tun-8059 WARNING malformed PING on 1GGG
Jul 07 07:18:27-974293 cadet-tun-8059 WARNING Wrong PONG challenge on 1GGG
Jul 07 07:18:29-904154 cadet-tun-8059 WARNING malformed PING on 1GGG
Jul 07 07:18:34-278010 cadet-tun-8059 WARNING malformed PING on 1GGG
Jul 07 07:18:39-814660 cadet-tun-8059 WARNING malformed PING on 1GGG
Jul 07 07:18:44-586152 cadet-tun-8059 WARNING malformed PING on 1GGG
Jul 07 07:18:50-364811 cadet-tun-8059 WARNING malformed PING on 1GGG
Jul 07 07:20:39-262830 cadet-8059 ERROR Assertion failed at gnunet-service-cadet_tunnel.c:1287.
Jul 07 07:20:39-268664 cadet-tun-8059 WARNING malformed PING on 1GGG
Jul 07 07:20:39-269102 cadet-8059 ERROR Assertion failed at gnunet-service-cadet_tunnel.c:1287.
Jul 07 07:20:39-273097 cadet-8059 ERROR Assertion failed at gnunet-service-cadet_tunnel.c:1287.
Jul 07 07:20:43-378138 cadet-8059 ERROR Assertion failed at gnunet-service-cadet_tunnel.c:1287.
Jul 07 07:20:43-383310 cadet-8059 ERROR Assertion failed at gnunet-service-cadet_tunnel.c:1287.
Jul 07 07:20:45-182747 cadet-tun-8059 WARNING malformed PING on 1GGG
Jul 07 07:20:45-183116 cadet-8059 ERROR Assertion failed at gnunet-service-cadet_tunnel.c:1287.
Jul 07 07:20:45-187447 cadet-8059 ERROR Assertion failed at gnunet-service-cadet_tunnel.c:1287.
Jul 07 07:20:48-385438 cadet-8059 ERROR Assertion failed at gnunet-service-cadet_tunnel.c:1287.
Jul 07 07:20:48-390086 cadet-8059 ERROR Assertion failed at gnunet-service-cadet_tunnel.c:1287.
Jul 07 07:20:51-471429 cadet-tun-8059 WARNING malformed PING on 1GGG
Jul 07 07:20:51-471788 cadet-8059 ERROR Assertion failed at gnunet-service-cadet_tunnel.c:1287.
Jul 07 07:20:51-476141 cadet-8059 ERROR Assertion failed at gnunet-service-cadet_tunnel.c:1287.
Jul 07 07:20:53-392595 cadet-8059 ERROR Assertion failed at gnunet-service-cadet_tunnel.c:1287.
Jul 07 07:20:53-397179 cadet-8059 ERROR Assertion failed at gnunet-service-cadet_tunnel.c:1287.
Jul 07 07:20:58-545126 cadet-tun-8059 WARNING malformed PING on 1GGG
Jul 07 07:20:58-545511 cadet-8059 ERROR Assertion failed at gnunet-service-cadet_tunnel.c:1287.
Jul 07 07:20:58-549373 cadet-8059 ERROR Assertion failed at gnunet-service-cadet_tunnel.c:1287.
Jul 07 07:20:58-549775 cadet-8059 ERROR Assertion failed at gnunet-service-cadet_tunnel.c:1287.
Jul 07 07:20:58-553964 cadet-8059 ERROR Assertion failed at gnunet-service-cadet_tunnel.c:1287.
Jul 07 07:21:03-521723 cadet-tun-8059 WARNING malformed PING on 1GGG
Jul 07 07:21:03-522082 cadet-8059 ERROR Assertion failed at gnunet-service-cadet_tunnel.c:1287.
Jul 07 07:21:03-525906 cadet-8059 ERROR Assertion failed at gnunet-service-cadet_tunnel.c:1287.
Jul 07 07:21:04-311661 cadet-8059 ERROR Assertion failed at gnunet-service-cadet_tunnel.c:1287.
Jul 07 07:21:04-316210 cadet-8059 ERROR Assertion failed at gnunet-service-cadet_tunnel.c:1287.
Jul 07 07:21:06-503548 cadet-tun-8059 WARNING malformed PING on 1GGG
Jul 07 07:21:06-503908 cadet-8059 ERROR Assertion failed at gnunet-service-cadet_tunnel.c:1287.
Jul 07 07:21:06-508298 cadet-8059 ERROR Assertion failed at gnunet-service-cadet_tunnel.c:1287.
Jul 07 07:21:09-317438 cadet-8059 ERROR Assertion failed at gnunet-service-cadet_tunnel.c:1287.
Jul 07 07:21:09-322554 cadet-8059 ERROR Assertion failed at gnunet-service-cadet_tunnel.c:1287.
Jul 07 07:21:10-693781 cadet-tun-8059 WARNING malformed PING on 1GGG
Jul 07 07:21:10-694282 cadet-8059 ERROR Assertion failed at gnunet-service-cadet_tunnel.c:1287.
Jul 07 07:21:10-699118 cadet-8059 ERROR Assertion failed at gnunet-service-cadet_tunnel.c:1287.
Jul 07 07:21:14-326759 cadet-8059 ERROR Assertion failed at gnunet-service-cadet_tunnel.c:1287.
Jul 07 07:21:14-331473 cadet-8059 ERROR Assertion failed at gnunet-service-cadet_tunnel.c:1287.
Jul 07 07:21:16-406828 cadet-tun-8059 WARNING malformed PING on 1GGG
Jul 07 07:21:16-407189 cadet-8059 ERROR Assertion failed at gnunet-service-cadet_tunnel.c:1287.
Jul 07 07:21:16-410952 cadet-8059 ERROR Assertion failed at gnunet-service-cadet_tunnel.c:1287.
Jul 07 07:21:19-332310 cadet-8059 ERROR Assertion failed at gnunet-service-cadet_tunnel.c:1287.
Jul 07 07:21:19-336766 cadet-8059 ERROR Assertion failed at gnunet-service-cadet_tunnel.c:1287.
Jul 07 07:21:21-929324 cadet-tun-8059 WARNING malformed PING on 1GGG
Jul 07 07:21:21-929681 cadet-8059 ERROR Assertion failed at gnunet-service-cadet_tunnel.c:1287.
Jul 07 07:21:21-933439 cadet-8059 ERROR Assertion failed at gnunet-service-cadet_tunnel.c:1287.
Jul 07 07:21:24-338944 cadet-8059 ERROR Assertion failed at gnunet-service-cadet_tunnel.c:1287.
Jul 07 07:21:24-344002 cadet-8059 ERROR Assertion failed at gnunet-service-cadet_tunnel.c:1287.
Jul 07 07:21:29-349428 cadet-8059 ERROR Assertion failed at gnunet-service-cadet_tunnel.c:1287.
Jul 07 07:21:29-354002 cadet-8059 ERROR Assertion failed at gnunet-service-cadet_tunnel.c:1287.
Jul 07 07:21:34-359595 cadet-8059 ERROR Assertion failed at gnunet-service-cadet_tunnel.c:1287.
Jul 07 07:21:34-364672 cadet-8059 ERROR Assertion failed at gnunet-service-cadet_tunnel.c:1287.
Jul 07 07:21:38-484850 cadet-8059 ERROR Assertion failed at gnunet-service-cadet_peer.c:1949.
==8059==
==8059== HEAP SUMMARY:
==8059== in use at exit: 57,752 bytes in 1,881 blocks
==8059== total heap usage: 2,487,760 allocs, 2,485,879 frees, 77,406,970 bytes allocated
==8059==
==8059== LEAK SUMMARY:
==8059== definitely lost: 196 bytes in 1 blocks
==8059== indirectly lost: 0 bytes in 0 blocks
==8059== possibly lost: 0 bytes in 0 blocks
==8059== still reachable: 57,556 bytes in 1,880 blocks
==8059== suppressed: 0 bytes in 0 blocks
==8059== Rerun with --leak-check=full to see details of leaked memory
==8059==
==8059== For counts of detected and suppressed errors, rerun with: -v
==8059== ERROR SUMMARY: 0 errors from 0 contexts (suppressed: 0 from 0)
==8419== Memcheck, a memory error detector
==8419== Copyright (C) 2002-2013, and GNU GPL'd, by Julian Seward et al.
==8419== Using Valgrind-3.9.0 and LibVEX; rerun with -h for copyright info
==8419== Command: /opt/gnunet/lib//gnunet/libexec/gnunet-service-cadet -c /home/gnunet/.config/gnunet.conf
==8419==
Jul 07 07:21:40-479393 util-8419 WARNING `bind' failed for `/tmp/gnunet-system-runtime//gnunet-service-cadet.sock': address already in use
Jul 07 07:21:40-581830 util-8419 ERROR `bind' failed at server.c:613 with error: Address already in use
Jul 07 09:58:52-435706 core-7949 ERROR Received PING from ` D3TJ' for different identity: I am `GN10', PONG identity: ` T4QF'
Jul 07 09:58:52-435754 core-7949 WARNING External protocol violation detected at gnunet-service-core_kx.c:1020.
Jul 07 09:58:52-461180 core-7949 ERROR Received PING from ` 4AE6' for different identity: I am `GN10', PONG identity: ` BVPC'
Jul 07 09:58:52-461226 core-7949 WARNING External protocol violation detected at gnunet-service-core_kx.c:1020.
Jul 07 10:48:13-459524 set-7947 WARNING other peer disconnected prematurely
Jul 07 10:48:13-459954 revocation-7946 WARNING Error computing revocation set union with KNAS
Jul 07 10:58:54-562913 set-7947 WARNING other peer disconnected prematurely
Jul 07 10:58:54-563120 revocation-7946 WARNING Error computing revocation set union with P00P
Jul 07 11:32:58-107586 set-7947 WARNING other peer disconnected prematurely
Jul 07 11:32:58-107847 revocation-7946 WARNING Error computing revocation set union with KNAS
Jul 07 12:03:41-290129 set-7947 WARNING other peer disconnected prematurely
Jul 07 12:03:41-290362 revocation-7946 WARNING Error computing revocation set union with P00P
Jul 07 12:13:42-320703 set-7947 WARNING other peer disconnected prematurely
Jul 07 12:13:42-320944 revocation-7946 WARNING Error computing revocation set union with KNAS
Jul 07 13:59:13-204134 set-7947 WARNING other peer disconnected prematurely
Jul 07 13:59:13-204381 revocation-7946 WARNING Error computing revocation set union with P00P
Jul 07 17:16:53-578420 set-7947 WARNING other peer disconnected prematurely
Jul 07 17:16:53-578661 revocation-7946 WARNING Error computing revocation set union with P00P
Jul 07 17:39:35-946472 set-7947 WARNING other peer disconnected prematurely
Jul 07 17:39:35-946714 revocation-7946 WARNING Error computing revocation set union with P00P

amatus

2014-07-08 01:11

developer   ~0008514

I could not find any core files.

Bart Polot

2014-07-08 01:13

manager   ~0008515

Did you pass "--enable-logging=verbose" to ./configure?

amatus

2014-07-08 03:32

developer   ~0008516

Yes

amatus

2014-07-08 04:15

developer  

cadet.log (7,982,177 bytes)

amatus

2014-07-08 04:16

developer   ~0008517

I uploaded a log of the assertion failure with log level DEBUG.

Issue History

Date Modified Username Field Change
2014-07-08 00:46 amatus New Issue
2014-07-08 00:46 amatus Status new => assigned
2014-07-08 00:46 amatus Assigned To => Bart Polot
2014-07-08 01:01 Bart Polot Note Added: 0008511
2014-07-08 01:01 Bart Polot Status assigned => feedback
2014-07-08 01:02 Bart Polot Note Added: 0008512
2014-07-08 01:07 Bart Polot Target Version => 0.11.0pre66
2014-07-08 01:10 amatus Note Added: 0008513
2014-07-08 01:10 amatus Status feedback => assigned
2014-07-08 01:11 amatus Note Added: 0008514
2014-07-08 01:13 Bart Polot Note Added: 0008515
2014-07-08 03:32 amatus Note Added: 0008516
2014-07-08 04:15 amatus File Added: cadet.log
2014-07-08 04:16 amatus Note Added: 0008517
2014-09-12 02:53 Bart Polot Status assigned => resolved
2014-09-12 02:53 Bart Polot Fixed in Version => SVN HEAD
2014-09-12 02:53 Bart Polot Resolution open => fixed
2014-09-12 17:39 Christian Grothoff Fixed in Version SVN HEAD => 0.11.0pre66
2018-06-07 00:25 Christian Grothoff Status resolved => closed